> ## Documentation Index
> Fetch the complete documentation index at: https://upstash.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Global Parallelism

> Returns the current global parallelism usage across all flow control keys



## OpenAPI

````yaml /workflow/openapi.yaml get /v2/globalParallelism
openapi: 3.1.0
info:
  title: Upstash Workflow REST API
  description: >
    Upstash Workflow is a serverless workflow orchestration service built on top
    of Upstash QStash and Upstash Redis.
  version: 2.0.0
  contact:
    name: Upstash
    url: https://upstash.com
servers:
  - url: https://qstash.upstash.io
security:
  - bearerAuth: []
  - bearerAuthQuery: []
paths:
  /v2/globalParallelism:
    get:
      tags:
        - Flow Control
      summary: Get Global Parallelism
      description: >-
        Returns the current global parallelism usage across all flow control
        keys
      responses:
        '200':
          description: Global parallelism info retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  parallelismMax:
                    type: integer
                    description: The configured maximum global parallelism
                  parallelismCount:
                    type: integer
                    description: >-
                      The current number of messages running globally in
                      parallel
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: QStash authentication token
    bearerAuthQuery:
      type: apiKey
      in: query
      name: qstash_token
      description: QStash authentication token passed as a query parameter

````